package cpcns.utils;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.sun.media.jai.codec.ImageCodec;
import com.sun.media.jai.codec.ImageDecodeParam;
import com.sun.media.jai.codec.ImageDecoder;
import com.sun.media.jai.codec.JPEGEncodeParam;
import com.sun.media.jai.codec.TIFFDecodeParam;
import com.sun.media.jai.codec.TIFFEncodeParam;
import java.awt.image.RenderedImage;
import java.awt.image.renderable.ParameterBlock;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import javax.media.jai.JAI;
import javax.media.jai.RenderedOp;

public class tiffToJPEG {
  public static Boolean tiffToJPEG(String tiff, String dstFile) {
    System.out.println("tif路径=" + tiff);
    try {
      FileInputStream ss = new FileInputStream(tiff);
      String path = tiff.substring(0, tiff.lastIndexOf("/"));
      String outpath = dstFile.substring(0, dstFile.lastIndexOf("/"));
      String tiffName = tiff.substring(tiff.lastIndexOf("/"), tiff.lastIndexOf("."));
      String outName = dstFile.substring(tiff.lastIndexOf("/"), tiff.lastIndexOf(".") - 1);
      TIFFDecodeParam param0 = null;
      TIFFEncodeParam param = new TIFFEncodeParam();
      JPEGEncodeParam param1 = new JPEGEncodeParam();
      if (ss != null) {
        ImageDecoder dec = ImageCodec.createImageDecoder("tiff", ss, (ImageDecodeParam)param0);
        int count = 0;
        try {
          count = dec.getNumPages();
        } catch (IOException e) {
          System.out.println("Exception in dec.getNumPages() " + e.getMessage());
          e.printStackTrace();
        } 
        param.setCompression(4);
        param.setLittleEndian(false);
        System.out.println("This TIF has " + count + " image(s)");
        for (int i = 0; i < count; i++) {
          RenderedImage page = null;
          String mc = "\\" + outName + "_" + i + ".jpg";
          if (count == 1)
            mc = "\\" + outName + ".jpg"; 
          File f = new File(outpath, mc);
          try {
            page = dec.decodeAsRenderedImage(i);
            if (!f.exists()) {
              f.getParentFile().mkdirs();
              f.createNewFile();
            } 
          } catch (IOException e) {
            System.out.println("读取有错误");
            return Boolean.valueOf(false);
          } 
          if (f.exists() && page != null) {
            ParameterBlock pb = new ParameterBlock();
            pb.addSource(page);
            pb.add(f.toString());
            pb.add("JPEG");
            pb.add(param1);
            RenderedOp r = JAI.create("filestore", pb);
            r.dispose();
            return Boolean.valueOf(true);
          } 
        } 
      } 
    } catch (FileNotFoundException e1) {
      e1.printStackTrace();
      return Boolean.valueOf(false);
    } 
    return Boolean.valueOf(false);
  }
}
